CREATE DOMAIN MojTyp AS INTEGER;

CREATE FUNCTION MojaSuma(MojTyp,MojTyp) RETURNS MojTyp AS 'SELECT ($1+$2)::MojTyp' LANGUAGE SQL;

CREATE AGGREGATE MojaSuma(
  basetype=MojTyp,
  sfunc=MojaSuma,
  stype=MojTyp,
  initcond=0
);
